PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_cpltmg_hankel | ( | PLASMA_enum | uplo,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | int | m0,
|  | int | n0,
|  | int | nb,
|  | const PLASMA_Complex32_t * | V1,
|  | const PLASMA_Complex32_t * | V2
| ) |  |

CORE_cpltmg_hankel is a kernel used in Hankel matrix generation

See http://en.wikipedia.org/wiki/Hankel_matrix

Hankel matrix

In linear algebra, a Hankel matrix (or catalecticant matrix), named after Hermann Hankel, is a square matrix with constant skew-diagonals (positive sloping diagonals), e.g.:

\[ \begin{bmatrix} a & b & c & d & e \\ b & c & d & e & f \\ c & d & e & f & g \\ d & e & f & g & h \\ e & f & g & h & i \\ \end{bmatrix} \]

.

A(i,j) = A(i-1,j+1)

Parameters

  [in] | uplo | Specifies the part of the matrix A to be initialized. = PlasmaUpperLower: All the matrix A = PlasmaUpper: Upper triangular part = PlasmaLower: Lower triangular part
  [in] | M | The number of rows of the tile A to initialize. M >= 2.
  [in] | N | The number of columns of the tile A to initialize. N >= 0.
  [out] | A | On entry, the M-by-N tile to be initialized.
  [in] | LDA | The leading dimension of the tile A. LDA >= max(1,M).
  [in] | m0 | The index of the first row of tile A in the full matrix. m0 >= 0.
  [in] | n0 | The index of the first column of tile A in the full matrix. n0 >= 0.
  [in] | nb | The size of the V1 and V2 vectors
  [in] | V1 | Workspace of size nb, that contains the first column of the tile
  [in] | V2 | Workspace of size nb), that contains the last column of the tile

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if INFO = -k, the k-th argument had an illegal value